%define name	freedelta
%define version 0.20.1
%define release 3mdk
%define major	0
%define libname	%mklibname %{name} %{major}

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	C++ classes for manipulating DELTA files
License:	GPL
Group:		Sciences/Biology		
Source:		http://freedelta.inpa.gov.br/%{name}-%{version}.tar.bz2
URL:		http://freedelta.freewebpage.org
Buildroot:	%{_tmppath}/%{name}-%{version}

%description
The Free DELTA project was launched in April, 2000 with the aim of creating a
complete Linux-compatible free, legally unencumbered -- that is, not covered by
any patents -- software system for processing taxonomic descriptions coded in
DELTA format, following the decision by CSIRO Division of Entomology to stop
funding the development of the original DELTA programs.

%package -n %{libname}
Summary:	Libraries needed to run programs linked with %{name}
Group:		System/Libraries
Provides:	lib%{name} = %{version}-%{release}

%description -n %{libname}
This package contains the library needed to run programs dynamically
linked with %{name}.

%package -n %{libname}-devel
Summary:	Headers for developing programs using %{name}
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{libname}-devel
This package contains the headers that programmers will need to develop 
applications which will use %{name}.

%prep
%setup -q

%build
%configure
%make

%install
rm -rf %{buildroot}
%makeinstall
chmod 644 %{buildroot}%{_libdir}/libtdelta.la

%clean
rm -rf %{buildroot}

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog
%{_bindir}/*

%files -n %libname
%defattr(-,root,root)
%{_libdir}/libtdelta.so.*

%files -n %libname-devel
%defattr(-,root,root)
%{_includedir}/tdelta
%{_libdir}/libtdelta.a
%{_libdir}/libtdelta.la
%{_libdir}/libtdelta.so

%changelog
* Sat Jul 09 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.20.1-3mdk 
- rpmbuilupdate aware
- spec cleanup
- less strict requires

* Tue Jun 15 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.20.1-2mdk 
- rebuild

* Sun Dec 07 2003 Guillaume Rousse <guillomovitch@mandrake.org> 0.20.1-1mdk
- first mdk release
